import axios from '@/common/services/axios-instance'

class PermissionService {
  // 获取角色用户列表
  getRoleUsers(data) {
    return axios({
      url: `api/framework/v1/role-manager/users/${data.code}`,
      method: 'get',
    })
  }

  // 获取用户角色列表
  getUserRoles(data) {
    return axios({
      url: `api/framework/v1/role-manager/${data.account}/roles`,
      method: 'get',
    })
  }
}

export default new PermissionService()
